/*
 *  psinfo.h
 *  
 *
 *  Created by Charles Mercadal on Thu Oct 16 2003.
 *
 */
 
#ifndef PSINFO_H
#define PSINFO_H

#include "common.h"


struct psinfo {
    char *psname;
    char valid:1;
    int psnum;
    float cpu;
    
    struct {
        int increments;
        float cumulative, maxuse, minuse;
    } statistics;
    
};


void setinfo(struct psinfo *, const int, bool);
void updateinfo(struct psinfo *);
void removeinfo(struct psinfo *);


#endif	/* PSINFO_H */
